Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | List of all members
TemporaryEffects Class Reference

## Public Member Functions
| AddCollectibleEffect (CollectibleType CollectibleType, boolean AddCostume)
| AddTrinketEffect (TrinketType TrinketType, boolean AddCostume)
| AddNullEffect (Config::NullItemID NullId, boolean AddCostume)
| RemoveCollectibleEffect (CollectibleType CollectibleType)
| RemoveTrinketEffect (TrinketType TrinketType)
| RemoveNullEffect (Config::NullItemID NullId)
boolean | HasCollectibleEffect (CollectibleType CollectibleType)
boolean | HasTrinketEffect (TrinketType TrinketType)
boolean | HasNullEffect (Config::NullItemID NullId)
const TemporaryEffect & | GetCollectibleEffect (CollectibleType CollectibleType)
const TemporaryEffect & | GetTrinketEffect (TrinketType TrinketType)
const TemporaryEffect & | GetNullEffect (Config::NullItemID NullId)
integer | GetCollectibleEffectNum (CollectibleType CollectibleType)
integer | GetTrinketEffectNum (TrinketType TrinketType)
integer | GetNullEffectNum (Config::NullItemID NullId)
| ClearEffects ()
const EffectList & | GetEffectsList ()

## Member Function Documentation

## ◆ AddCollectibleEffect()

TemporaryEffects::AddCollectibleEffect | ( | CollectibleType | CollectibleType,
|  | boolean | AddCostume
| ) |  |

## ◆ AddNullEffect()

TemporaryEffects::AddNullEffect | ( | Config::NullItemID | NullId,
|  | boolean | AddCostume
| ) |  |

## ◆ AddTrinketEffect()

TemporaryEffects::AddTrinketEffect | ( | TrinketType | TrinketType,
|  | boolean | AddCostume
| ) |  |

## ◆ ClearEffects()

TemporaryEffects::ClearEffects | ( |  | ) |

## ◆ GetCollectibleEffect()

const TemporaryEffect& TemporaryEffects::GetCollectibleEffect | ( | CollectibleType | CollectibleType | ) |

## ◆ GetCollectibleEffectNum()

integer TemporaryEffects::GetCollectibleEffectNum | ( | CollectibleType | CollectibleType | ) |

## ◆ GetEffectsList()

const EffectList& TemporaryEffects::GetEffectsList | ( |  | ) |

## ◆ GetNullEffect()

const TemporaryEffect& TemporaryEffects::GetNullEffect | ( | Config::NullItemID | NullId | ) |

## ◆ GetNullEffectNum()

integer TemporaryEffects::GetNullEffectNum | ( | Config::NullItemID | NullId | ) |

## ◆ GetTrinketEffect()

const TemporaryEffect& TemporaryEffects::GetTrinketEffect | ( | TrinketType | TrinketType | ) |

## ◆ GetTrinketEffectNum()

integer TemporaryEffects::GetTrinketEffectNum | ( | TrinketType | TrinketType | ) |

## ◆ HasCollectibleEffect()

boolean TemporaryEffects::HasCollectibleEffect | ( | CollectibleType | CollectibleType | ) |

## ◆ HasNullEffect()

boolean TemporaryEffects::HasNullEffect | ( | Config::NullItemID | NullId | ) |

## ◆ HasTrinketEffect()

boolean TemporaryEffects::HasTrinketEffect | ( | TrinketType | TrinketType | ) |

## ◆ RemoveCollectibleEffect()

TemporaryEffects::RemoveCollectibleEffect | ( | CollectibleType | CollectibleType | ) |

## ◆ RemoveNullEffect()

TemporaryEffects::RemoveNullEffect | ( | Config::NullItemID | NullId | ) |

## ◆ RemoveTrinketEffect()

TemporaryEffects::RemoveTrinketEffect | ( | TrinketType | TrinketType | ) |